# Note that this is NOT a relocatable package
%define name	libglade
%define ver	0.12
%define rel     1mdk
%define prefix	/usr

Summary: libglade library
Name: %name
Version: %ver
Release: %rel
Copyright: LGPL
Group: System/Libraries
Source: ftp://ftp.daa.com.au/pub/james/gnome/libglade-%{ver}.tar.bz2
Requires: gtk+ libxml
BuildRoot: /var/tmp/%{name}-root
#Packager: James Henstridge
URL: http://www.daa.com.au/~james/gnome/
Docdir: %{prefix}/doc

%description
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

The interfaces can also be edited with GLADE.

%package devel
Summary: Libraries, includes, etc to develop libglade applications
Group: Development/GNOME and GTK+
Requires: libglade libxml-devel gnome-libs-devel

%description devel
Libraries, include files, etc you can use to develop libglade applications.


%prep
%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix 
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix 
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%attr(-, root, root) %doc AUTHORS ChangeLog NEWS README COPYING
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)

%{prefix}/bin/*
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/include/glade
%{prefix}/share/aclocal/*
%{prefix}/lib/*.sh

%attr(-, root, root) %doc test-libglade.c
%attr(-, root, root) %doc *.glade
%attr(-, root, root) %doc %{prefix}/share/gnome/html/libglade

%changelog
* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.12-1mdk
- release from helix
- libglade devel requires gnome-libs-devel instead of gtk+-libs

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 0.11-2mdk
- adjust group + some cleanup .

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.11

* Sat Nov 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.9 (This one *really* corrects the "translating of empty strings" bug)
- corrected a little the %files section (the directories named after the
  package name must be included too)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7

* Tue Sep 14 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- get latest CVS version; it corrects an annoying bug (gettext() was
  called on empty strings; with the result of having the po fiels header
  being displayed, instead of empty text. it is corrected now)

* Tue Sep 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.5

* Sat Sep 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.4

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.3

* Tue Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>
- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>
- Initial release 0.0.1

